Bug 1133769 (CVE-2013-7397) - CVE-2013-7397 async-http-client: SSL/TLS certificate verification is disabled under certain conditions
Summary: CVE-2013-7397 async-http-client: SSL/TLS certificate verification is disabled...
Status: CLOSED ERRATA
Alias: CVE-2013-7397
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20130730,repo...
Keywords: Security
Depends On: 1150773 1150775 1133789 1150764 1150765 1150766 1150767 1150768 1150769 1150770 1150771 1150772 1150774
Blocks: 1129969 1210482 1232965 1244366
TreeView+ depends on / blocked
 
Reported: 2014-08-26 06:10 UTC by David Jorm
Modified: 2019-06-11 11:13 UTC (History)
25 users (show)

(edit)
It was found that async-http-client would disable SSL/TLS certificate verification under certain conditions, for example if HTTPS communication also used client certificates. A man-in-the-middle (MITM) attacker could use this flaw to spoof a valid certificate.
Clone Of:
(edit)
Last Closed: 2019-06-08 02:34:37 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0850 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.1.0 update 2015-04-16 20:02:45 UTC
Red Hat Product Errata RHSA-2015:0851 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.1.0 update 2015-04-16 20:02:37 UTC
Red Hat Product Errata RHSA-2015:1176 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse 6.2.0 update 2015-06-23 20:52:52 UTC
Red Hat Product Errata RHSA-2015:1551 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse Service Works 6.0.0 security update 2015-08-05 20:20:27 UTC

Description David Jorm 2014-08-26 06:10:01 UTC
It was found that async-http-client would disable SSL/TLS certificate verification under certain conditions, for example if HTTPS communication also uses client certificates. This can be exploited by a Man-in-the-middle (MITM) attack where the attacker can spoof a valid certificate.

Comment 1 David Jorm 2014-08-26 07:04:10 UTC
Upstream bug:

https://github.com/AsyncHttpClient/async-http-client/issues/352

Comment 8 errata-xmlrpc 2015-04-16 16:06:36 UTC
This issue has been addressed in the following products:

  JBoss BPM Suite 6.1.0

Via RHSA-2015:0851 https://rhn.redhat.com/errata/RHSA-2015-0851.html

Comment 9 errata-xmlrpc 2015-04-16 16:11:33 UTC
This issue has been addressed in the following products:

  JBoss BRMS 6.1.0

Via RHSA-2015:0850 https://rhn.redhat.com/errata/RHSA-2015-0850.html

Comment 10 Fedora Update System 2015-05-08 07:38:31 UTC
async-http-client-1.7.22-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2015-06-23 16:53:22 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse 6.2.0

Via RHSA-2015:1176 https://rhn.redhat.com/errata/RHSA-2015-1176.html

Comment 12 errata-xmlrpc 2015-08-05 16:20:34 UTC
This issue has been addressed in the following products:

  JBoss Fuse Service Works 6.0.0

Via RHSA-2015:1551 https://rhn.redhat.com/errata/RHSA-2015-1551.html


Note You need to log in before you can comment on or make changes to this bug.